function y = Attenuator(Input_optical,alpha)
%
% Usage: y = Attenuator(Input_optical,alpha)
%
% Purpose = This module is to attenuate the power of optical signal.
%
% Input Signal(Input_optical) = Optical Signal
% Output Signal(y) = Optical Signal
%
% === Physical Parameter ===
% alpha = power attenuation [dB]
%
%------------------------------------------------------------
% $ Revision: 1.1 $ Date: 2011/02/22 by Jong-Hyung Lee  
%------------------------------------------------------------
%
%===============================================================================

y = Input_optical*10^(-alpha/20);
