function y = G_edfa(x)
% Purpose: This is to provide the implicit function of saturated gain of EDFA
% This function is used in "EDFA_satulation" function
%----------------------------------------------------------
% $ Revision: 1.0 $ Date: 2003/05/07 by Jong-Hyung Lee  
%------------------------------------------------------------
%

load edfa_sat_gain   % 'edfa_sat_gain' will be generated within EDFA_satulation.m
y = log(x) - log(G_edfa_u) + (x-1)*P_in/P_sat_int;
